org.gradle.api.file

## Interface FileVisitDetails

- All Superinterfaces:
    FileTreeElement

      public interface FileVisitDetails
      extends FileTreeElement

  Provides access to details about a file or directory being visited by a `FileVisitor`.
  See Also:
    `FileTree.visit(groovy.lang.Closure)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stopVisiting()` Requests that file visiting terminate after the current file.

    - ### Methods inherited from interface org.gradle.api.file.FileTreeElement

      `copyTo, copyTo, getFile, getLastModified, getMode, getName, getPath, getRelativePath, getSize, isDirectory, open`

- - ### Method Detail

    - #### stopVisiting

          void stopVisiting()

      Requests that file visiting terminate after the current file.